[project]
name = "finesse-simulation-04"
version = "0.1.0"
description = ""
authors = [{ name = "linarphy", email = "augustin.demagny@ligo.org" }]
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
  "astropy>=7.0.1",
  "basedpyright>=1.27.1",
  "finesse>=3.0a31",
  "finesse-virgo>=1.0.9",
  "ipympl>=0.9.7",
  "ipywidgets>=8.1.5",
  "jupyter-lsp>=2.2.5",
  "jupyterlab>=4.3.5",
  "jupyterlab-code-formatter>=3.0.2",
  "jupyterlab-lsp>=5.1.0",
  "pygraphviz>=1.14",
  "rich>=13.9.4",
  "ruff>=0.9.6",
  "science-signal",
]

[tool.uv.sources]
science-signal = { git = "https://git.linarphy.net/linarphy/science_signal.git" }
